| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IRegistry Class Referenceabstract

The IRegistry represents the entry door to the environment any data object residing in a transient data store is embedded. More...

`#include <GaudiKernel/IRegistry.h>`

Inheritance diagram for IRegistry:
[legend]

## Public Types
typedef std::string | name_type
| Type definitions Name type. More...
typedef std::string | id_type
| Identifier Key type. More...

## Public Member Functions
virtual | ~IRegistry ()=default
| destructor More...
virtual unsigned long | addRef ()=0
| Add reference to object. More...
virtual unsigned long | release ()=0
| release reference to object More...
virtual const name_type & | name () const =0
| Name of the directory (or key) More...
virtual const id_type & | identifier () const =0
| Full identifier (or key) More...
virtual IDataProviderSvc * | dataSvc () const =0
| Retrieve pointer to Transient Store. More...
virtual DataObject * | object () const =0
| Retrieve object behind the link. More...
virtual IOpaqueAddress * | address () const =0
| Retrieve opaque storage address. More...
virtual void | setAddress (IOpaqueAddress *pAddress)=0
| Set/Update Opaque storage address. More...

## Detailed Description

The IRegistry represents the entry door to the environment any data object residing in a transient data store is embedded.

Split from directory browsing (which is now sub-classed), providing a light-weight interface to differing registry mechanism.

Definition at line 22 of file IRegistry.h.

## Member Typedef Documentation

typedef std::string IRegistry::id_type

Identifier Key type.

Definition at line 29 of file IRegistry.h.

typedef std::string IRegistry::name_type

Type definitions Name type.

Definition at line 27 of file IRegistry.h.

## Constructor & Destructor Documentation

virtual IRegistry::~IRegistry | ( |  | ) |
| virtual default

destructor

## Member Function Documentation

virtual unsigned long IRegistry::addRef | ( |  | ) |
| pure virtual

Add reference to object.

Implemented in DataSvcHelpers::RegistryEntry.

virtual IOpaqueAddress* IRegistry::address | ( |  | ) | const
| pure virtual

Retrieve opaque storage address.

Implemented in DataSvcHelpers::RegistryEntry.

virtual IDataProviderSvc* IRegistry::dataSvc | ( |  | ) | const
| pure virtual

Retrieve pointer to Transient Store.

Implemented in DataSvcHelpers::RegistryEntry.

virtual const id_type& IRegistry::identifier | ( |  | ) | const
| pure virtual

Full identifier (or key)

Implemented in DataSvcHelpers::RegistryEntry.

virtual const name_type& IRegistry::name | ( |  | ) | const
| pure virtual

Name of the directory (or key)

Implemented in DataSvcHelpers::RegistryEntry.

virtual DataObject* IRegistry::object | ( |  | ) | const
| pure virtual

Retrieve object behind the link.

Implemented in DataSvcHelpers::RegistryEntry.

virtual unsigned long IRegistry::release | ( |  | ) |
| pure virtual

release reference to object

Implemented in DataSvcHelpers::RegistryEntry.

virtual void IRegistry::setAddress | ( | IOpaqueAddress * | pAddress | ) |
| pure virtual

Set/Update Opaque storage address.

Implemented in DataSvcHelpers::RegistryEntry.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IRegistry.h